| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::CvFeatureEvaluator Class Referenceabstract
Tracking API

`#include <opencv2/tracking/feature.hpp>`

Inheritance diagram for cv::CvFeatureEvaluator:

## Public Member Functions
virtual | ~CvFeatureEvaluator ()
const Mat & | getCls () const
float | getCls (int si) const
int | getFeatureSize () const
int | getMaxCatCount () const
int | getNumFeatures () const
virtual void | init (const CvFeatureParams *_featureParams, int _maxSampleCount, Size _winSize)
virtual float | operator() (int featureIdx, int sampleIdx)=0
virtual void | setImage (const Mat &img, uchar clsLabel, int idx)
virtual void | writeFeatures (FileStorage &fs, const Mat &featureMap) const =0

## Static Public Member Functions
static Ptr< CvFeatureEvaluator > | create (CvFeatureParams::FeatureType type)

## Protected Member Functions
virtual void | generateFeatures ()=0

## Protected Attributes
Mat | cls
CvFeatureParams * | featureParams
int | nneg
int | npos
int | numFeatures
Size | winSize

## Constructor & Destructor Documentation

## ◆ ~CvFeatureEvaluator()

virtual cv::CvFeatureEvaluator::~CvFeatureEvaluator | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ create()

static Ptr<CvFeatureEvaluator> cv::CvFeatureEvaluator::create | ( | CvFeatureParams::FeatureType | type | ) |
| static

## ◆ generateFeatures()

virtual void cv::CvFeatureEvaluator::generateFeatures | ( |  | ) |
| protected pure virtual

Implemented in cv::CvLBPEvaluator, cv::CvHOGEvaluator, and cv::CvHaarEvaluator.

## ◆ getCls() [1/2]

const Mat& cv::CvFeatureEvaluator::getCls | ( |  | ) | const
| inline

## ◆ getCls() [2/2]

float cv::CvFeatureEvaluator::getCls | ( | int | si | ) | const
| inline

## ◆ getFeatureSize()

int cv::CvFeatureEvaluator::getFeatureSize | ( |  | ) | const
| inline

## ◆ getMaxCatCount()

int cv::CvFeatureEvaluator::getMaxCatCount | ( |  | ) | const
| inline

## ◆ getNumFeatures()

int cv::CvFeatureEvaluator::getNumFeatures | ( |  | ) | const
| inline

## ◆ init()

virtual void cv::CvFeatureEvaluator::init | ( | const CvFeatureParams * | _featureParams,
|  | int | _maxSampleCount,
|  | Size | _winSize
| ) |  |
| virtual

Reimplemented in cv::CvLBPEvaluator, cv::CvHOGEvaluator, and cv::CvHaarEvaluator.

## ◆ operator()()

virtual float cv::CvFeatureEvaluator::operator() | ( | int | featureIdx,
|  | int | sampleIdx
| ) |  |
| pure virtual

Implemented in cv::CvLBPEvaluator, cv::CvHOGEvaluator, and cv::CvHaarEvaluator.

## ◆ setImage()

virtual void cv::CvFeatureEvaluator::setImage | ( | const Mat & | img,
|  | uchar | clsLabel,
|  | int | idx
| ) |  |
| virtual

Reimplemented in cv::CvLBPEvaluator, cv::CvHOGEvaluator, and cv::CvHaarEvaluator.

## ◆ writeFeatures()

virtual void cv::CvFeatureEvaluator::writeFeatures | ( | FileStorage & | fs,
|  | const Mat & | featureMap
| ) |  | const
| pure virtual

Implemented in cv::CvLBPEvaluator, cv::CvHOGEvaluator, and cv::CvHaarEvaluator.

## Member Data Documentation

## ◆ cls

Mat cv::CvFeatureEvaluator::cls
| protected

## ◆ featureParams

CvFeatureParams* cv::CvFeatureEvaluator::featureParams
| protected

## ◆ nneg

int cv::CvFeatureEvaluator::nneg
| protected

## ◆ npos

int cv::CvFeatureEvaluator::npos
| protected

## ◆ numFeatures

int cv::CvFeatureEvaluator::numFeatures
| protected

## ◆ winSize

Size cv::CvFeatureEvaluator::winSize
| protected

The documentation for this class was generated from the following file:

- opencv2/tracking/feature.hpp